| OpenCV 3.4.3 Open Source Computer Vision

Static Public Member Functions | List of all members
cv::cuda::TargetArchs Class Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Core part » Initialization and Information

Class providing a set of static methods to check what NVIDIA* card architecture the CUDA module was built for. More...

`#include "cuda.hpp"`

## Static Public Member Functions
static bool | builtWith (FeatureSet feature_set)
| The following method checks whether the module was built with the support of the given feature: More...
static bool | has (int major, int minor)
| There is a set of methods to check whether the module contains intermediate (PTX) or binary CUDA code for the given architecture(s): More...
static bool | hasBin (int major, int minor)
static bool | hasEqualOrGreater (int major, int minor)
static bool | hasEqualOrGreaterBin (int major, int minor)
static bool | hasEqualOrGreaterPtx (int major, int minor)
static bool | hasEqualOrLessPtx (int major, int minor)
static bool | hasPtx (int major, int minor)

## Detailed Description

Class providing a set of static methods to check what NVIDIA* card architecture the CUDA module was built for.

According to the CUDA C Programming Guide Version 3.2: "PTX code produced for some specific compute capability can always be compiled to binary code of greater or equal compute capability".

## Member Function Documentation

## § builtWith()

static bool cv::cuda::TargetArchs::builtWith | ( | FeatureSet | feature_set | ) |
| static

The following method checks whether the module was built with the support of the given feature:

Parameters

  feature_set | Features to be checked. See :ocvcuda::FeatureSet.

## § has()

static bool cv::cuda::TargetArchs::has | ( | int | major,
|  | int | minor
| ) |  |
| static

There is a set of methods to check whether the module contains intermediate (PTX) or binary CUDA code for the given architecture(s):

Parameters

  major | Major compute capability version.
  minor | Minor compute capability version.

## § hasBin()

static bool cv::cuda::TargetArchs::hasBin | ( | int | major,
|  | int | minor
| ) |  |
| static

## § hasEqualOrGreater()

static bool cv::cuda::TargetArchs::hasEqualOrGreater | ( | int | major,
|  | int | minor
| ) |  |
| static

## § hasEqualOrGreaterBin()

static bool cv::cuda::TargetArchs::hasEqualOrGreaterBin | ( | int | major,
|  | int | minor
| ) |  |
| static

## § hasEqualOrGreaterPtx()

static bool cv::cuda::TargetArchs::hasEqualOrGreaterPtx | ( | int | major,
|  | int | minor
| ) |  |
| static

## § hasEqualOrLessPtx()

static bool cv::cuda::TargetArchs::hasEqualOrLessPtx | ( | int | major,
|  | int | minor
| ) |  |
| static

## § hasPtx()

static bool cv::cuda::TargetArchs::hasPtx | ( | int | major,
|  | int | minor
| ) |  |
| static

The documentation for this class was generated from the following file:

- core/include/opencv2/core/cuda.hpp